-- name: [CS] KING PENGUIN
-- description: THE KING OF ALL PENGUINS, LEADING HIS ARMY TO GIVE THEIR 100% FURY \n\n\\#ff7777\\This Pack requires Character Select\nto use as a Library!



local E_MODEL_KPENGUIN = smlua_model_util_get_id("kpenguin_geo")

local TEX_KPENGUIN = get_texture_info("kpenguin_icon")

local TEXT_MOD_NAME = "[CS] KPENGUIN"

local VOICETABLE_KPENGUIN = {
    [CHAR_SOUND_ATTACKED] = 'CHAR_SOUND_ATTACKED.ogg',
    [CHAR_SOUND_DOH] = 'CHAR_SOUND_DOH.ogg',
    [CHAR_SOUND_DROWNING] = 'CHAR_SOUND_DROWNING.ogg',
    [CHAR_SOUND_DYING] = 'CHAR_SOUND_DYING.ogg',
    [CHAR_SOUND_EEUH] = 'CHAR_SOUND_EEUH.ogg',
    [CHAR_SOUND_GROUND_POUND_WAH] = 'CHAR_SOUND_GROUND_POUND_WAH.ogg',
    [CHAR_SOUND_HAHA] = 'CHAR_SOUND_HAHA.ogg',
    [CHAR_SOUND_HERE_WE_GO] = 'here_we_go.ogg',
    [CHAR_SOUND_HOOHOO] = 'CHAR_SOUND_HOOHOO.ogg',
    [CHAR_SOUND_HRMM] = 'CHAR_SOUND_HRMM.ogg',
    [CHAR_SOUND_MAMA_MIA] = 'CHAR_SOUND_MAMA_MIA.ogg',
    [CHAR_SOUND_ON_FIRE] = 'CHAR_SOUND_ON_FIRE.ogg',
    [CHAR_SOUND_OOOF] = 'CHAR_SOUND_OOOF.ogg',
    [CHAR_SOUND_OOOF2] = 'CHAR_SOUND_OOOF2.ogg',
    [CHAR_SOUND_PUNCH_HOO] = 'CHAR_SOUND_PUNCH_HOO.ogg',
    [CHAR_SOUND_PUNCH_WAH] = 'CHAR_SOUND_PUNCH_WAH.ogg',
    [CHAR_SOUND_PUNCH_YAH] = 'CHAR_SOUND_PUNCH_YAH.ogg',
    [CHAR_SOUND_TWIRL_BOUNCE] = 'CHAR_SOUND_TWIRL_BOUNCE.ogg',
    [CHAR_SOUND_UH] = 'CHAR_SOUND_UH.ogg',
    [CHAR_SOUND_UH2] = 'CHAR_SOUND_UH2.ogg',
    [CHAR_SOUND_UH2_2] = 'CHAR_SOUND_UH2_2.ogg',
    [CHAR_SOUND_WAAAOOOW] = 'CHAR_SOUND_WAAAOOOW.ogg',
    [CHAR_SOUND_YAH_WAH_HOO] = 'CHAR_SOUND_YAH_WAH_HOO.ogg',
    [CHAR_SOUND_YAHOO] = 'CHAR_SOUND_YAHOO.ogg',
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = 'CHAR_SOUND_YAHOO_WAHA_YIPPEE.ogg',
    [CHAR_SOUND_LETS_A_GO] = 'letsa_go.ogg',
    [CHAR_SOUND_SO_LONGA_BOWSER] = 'so_longa_bowser.ogg',
}

local capTemp = {
    normal = smlua_model_util_get_id("kpenguins_cap_geo"),
    wing = smlua_model_util_get_id("kpenguins_wing_cap_geo"),
    metal = smlua_model_util_get_id("kpenguins_metal_cap_geo"),
    metalWing = smlua_model_util_get_id("kpenguins_metal_wing_cap_geo")
}

local PALETTE_KPENGUIN = {
    [SHIRT] = "E7C65D",
    [SHOES] = "2E231E",
    [HAIR] = "AEA391",
    [CAP] = "E7C65D",
    [PANTS] = "252575",
    [GLOVES] = "CACAC9",
    [SKIN] = "E7E65A",
}



if _G.charSelectExists then
    CT_KPENGUIN = _G.charSelect.character_add("King Penguin", {"The unyielding king of the penguins!"}, "Melzinoff", {r = 37, g = 37, b = 117}, E_MODEL_KPENGUIN, CT_MARIO, TEX_KPENGUIN)

    _G.charSelect.character_add_caps(E_MODEL_KPENGUIN, capTemp)

    _G.charSelect.character_add_palette_preset(E_MODEL_KPENGUIN, PALETTE_KPENGUIN)

    -- the following must be hooked for each character added
    _G.charSelect.character_add_voice(E_MODEL_KPENGUIN, VOICETABLE_KPENGUIN)

    hook_event(HOOK_CHARACTER_SOUND, function (m, sound)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_KPENGUIN then return _G.charSelect.voice.sound(m, sound) end
    end)
    hook_event(HOOK_MARIO_UPDATE, function (m)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_KPENGUIN then return _G.charSelect.voice.snore(m) end
    end)
else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end
